<!DOCTYPE html>
<html>
<head>
    <title><%= title %></title>
    <link rel='stylesheet' href='/stylesheets/style-old.css'/>
    <link href="/bower_components/jsoneditor/dist/jsoneditor.css"/>
</head>
<body>
<h1><%= title %></h1>
<form id="robot-form">
    <div id="legend">
        <div class="title">Legend</div>
        <table>
            <tr>
                <td>keyTap("a", "control")</td>
                <td>control is optional.</td>
            </tr>
            <tr>
                <td>dragMouse(200, 300, 'left');</td>
                <td></td>
            </tr>
            <tr>
                <td colspan="2">
                    <hr/>
                    <b>Keytap values:</b>
                    <% for (let k of key_taps){ %>
                    <%= k %>,
                    <% } %>
                </td>
            </tr>
        </table>
        <div>
        </div>
    </div>
    <div id="csv">
        <div class="title">
            <select id="csv-select">
                <option>CSV Select</option>
                <% for (var i = 0; i < csv.length; i++){ %>
                <option value="<%= csv[i] %>"><%= csv[i] %></option>
                <% } %>
            </select>
            <button id="csv-store">Store</button>
        </div>
        <div>

        </div>
        <table>
            <thead>
                <!-- Dynamic data -->
            </thead>
            <tbody>
                <!-- Dynamic data -->
            </tbody>
        </table>
    </div>
    <div class="container">
        <div id="recipe">
            <div class="buttons">
                <button id="recipe-play">Play</button>
                <button id="stop">Stop</button>
                <button id="recipe-delete">Delete</button>
                <button id="recipe-store">Store</button>
            </div>
            <select multiple id="recipes-select">
                <% for (var i = 0; i < recipes.length; i++){ %>
                <option value="<%= recipes[i] %>"><%= recipes[i] %></option>
                <% } %>
            </select>
        </div>
        <table id="recipe-detail">
            <tr>
                <th colspan="3">
                    <input id="filename" type="text" value="">
                </th>

            </tr>
            <% for (var i = 0; i < 500; i++){ %>
            <tr class="recipe-row">
                <td>
                    <select name="function">
                        <option value="none">Select an option</option>
                        <% for (let j of functions){ %>
                        <option value="<%= j %>"><%= j %></option>
                        <% } %>
                    </select>
                </td>
                <td>
                    <input name="value" class="text-value" type="text" value=""/>
                </td>
                <td>
                    <button class="play-row">Play</button>
                </td>
            </tr>
            <% } %>
        </table>
        <div id="scenario">
            <div class="buttons">
                <button id="scenario-play">Play</button>
                <button id="scenario-store">Store</button>
            </div>
            <select id="scenario-select">
                <option value="0">Select a scenario</option>
                <% for (let s of scenarios){ %>
                <option value="<%= s %>"><%= s %></option>
                <% } %>
            </select>
            <textarea id="scenario-json"></textarea>
            <div id="player"></div>
            <div id="mouse"></div>
        </div>
    </div>
</form>
<script src="/javascripts/scripts.js"></script>
<script src="/socket.io/socket.io.js"></script>
<script>
    var socket = io();
    socket.on('play', msg => {
        document.querySelector('#player').innerText = "Playing: " + msg
    });

    socket.on('mouse', mouse => {
        var color = mouse.split(';')[0];
        var pos = mouse.split(';')[1];
        document.querySelector('#mouse').innerText = mouse;
        document.querySelector('#mouse').style.background = color;
    });

</script>
</body>
</html>
